Package db

# Class FixedField10

java.lang.Object
db.Field
db.BinaryField
db.FixedField10

All Implemented Interfaces:
  `Comparable<Field>`

public class FixedField10 extends BinaryField
`FixedField10` provide an unsigned 10-byte fixed-length field value. The most-significant byte corresponds to index-0 (i.e., data[0]).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class db.Field

  `Field.UnsupportedFieldException`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FixedField10`
  `INSTANCE`
  Instance intended for defining a `Table` `Schema`
  `static FixedField10`
  `MAX_VALUE`
  Maximum long field value
  `static FixedField10`
  `MIN_VALUE`
  Minimum long field value
  `static final FixedField10`
  `ZERO_VALUE`
  Zero fixed10 field value

  ### Fields inherited from class db.BinaryField

  `data`

  ### Fields inherited from class db.Field

  `EMPTY_ARRAY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FixedField10()`
  Construct a 10-byte fixed-length field with an initial value of 0.
  `FixedField10(byte[] data)`
  Construct a 10-byte fixed-length field with an initial value of data.
  `FixedField10(byte[] data, boolean immutable)`
  Construct a 10-byte fixed-length binary field with an initial value of data.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(Field o)`
  Compares this Field with another Field for order.
  `db.FixedField`
  `copyField()`
  Create new instance of this field with the same value.
  `boolean`
  `equals(Object obj)`
  Determine if the specified Object is another Field which has the same type and value as this Field.
  `byte[]`
  `getBinaryData()`
  Get data as a byte array.
  `String`
  `getValueAsString()`
  Get field value as a formatted string
  `int`
  `hashCode()`
  `final boolean`
  `isNull()`
  Determine if the field has been set to a null-state or value.
  `final boolean`
  `isVariableLength()`
  `db.FixedField`
  `newField()`
  Create new instance of this field type.
  `void`
  `setBinaryData(byte[] d)`
  Set data from binary byte array.

  ### Methods inherited from class db.BinaryField

  `getValueAsString, toString`

  ### Methods inherited from class db.Field

  `canIndex, getBooleanValue, getByteValue, getIntValue, getLongValue, getShortValue, getString, isSameType, setBooleanValue, setByteValue, setIntValue, setLongValue, setShortValue, setString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ZERO_VALUE

    public static final FixedField10 ZERO_VALUE
    Zero fixed10 field value

  - ### MIN_VALUE

    public static FixedField10 MIN_VALUE
    Minimum long field value

  - ### MAX_VALUE

    public static FixedField10 MAX_VALUE
    Maximum long field value

  - ### INSTANCE

    public static final FixedField10 INSTANCE
    Instance intended for defining a `Table` `Schema`

- ## Constructor Details

  - ### FixedField10

    public FixedField10()
    Construct a 10-byte fixed-length field with an initial value of 0.

  - ### FixedField10

    public FixedField10(byte[] data)
    Construct a 10-byte fixed-length field with an initial value of data.
    Parameters:
      `data` - initial 10-byte binary value. A null corresponds to zero value and does not affect the null-state (see `setNull()` and `BinaryField.isNull()`).
    Throws:
      `IllegalArgumentException` - thrown if data is not 10-bytes in length

  - ### FixedField10

    public FixedField10(byte[] data, boolean immutable)
    Construct a 10-byte fixed-length binary field with an initial value of data.
    Parameters:
      `data` - initial 10-byte binary value. A null corresponds to zero value and does not affect the null-state (see `setNull()` and `BinaryField.isNull()`).
      `immutable` - true if field value is immutable
    Throws:
      `IllegalArgumentException` - thrown if data is not 10-bytes in length

- ## Method Details

  - ### compareTo

    public int compareTo(Field o)
    Description copied from class: `Field`
    Compares this Field with another Field for order. Returns a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified Field.
    NOTE: Field objects do not fully comply with the Comparable interface. Only the same Field implementations may be compared. In addition, the null state is not considered when comparing `PrimitiveField`s which have a zero (0) value.
    Specified by:
      `compareTo` in interface `Comparable<Field>`
    Overrides:
      `compareTo` in class `BinaryField`
    Parameters:
      `o` - another Field which is the same type as this Field
    Returns:
      field comparison result (see `Comparable.compareTo(Object)`).

  - ### copyField

    public db.FixedField copyField()
    Description copied from class: `Field`
    Create new instance of this field with the same value.
    Returns:
      new field instance with same value

  - ### newField

    public db.FixedField newField()
    Description copied from class: `Field`
    Create new instance of this field type.
    Returns:
      new field instance with undefined initial value

  - ### getBinaryData

    public byte[] getBinaryData()
    Description copied from class: `Field`
    Get data as a byte array.
    Overrides:
      `getBinaryData` in class `BinaryField`
    Returns:
      byte[]

  - ### setBinaryData

    public void setBinaryData(byte[] d)
    Description copied from class: `Field`
    Set data from binary byte array. All variable-length fields must implement this method.
    Overrides:
      `setBinaryData` in class `BinaryField`
    Parameters:
      `d` - field data

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `BinaryField`

  - ### equals

    public boolean equals(Object obj)
    Description copied from class: `Field`
    Determine if the specified Object is another Field which has the same type and value as this Field. When comparing a `PrimitiveField`, with a null state, a value of zero (0) is used.
    Overrides:
      `equals` in class `BinaryField`
    Parameters:
      `obj` - another object
    Returns:
      true if this field equals obj

  - ### getValueAsString

    public String getValueAsString()
    Description copied from class: `Field`
    Get field value as a formatted string
    Overrides:
      `getValueAsString` in class `BinaryField`
    Returns:
      field value string

  - ### isVariableLength

    public final boolean isVariableLength()
    Overrides:
      `isVariableLength` in class `BinaryField`
    Returns:
      true if a Field instance is variable length, else false.

  - ### isNull

    public final boolean isNull()
    Description copied from class: `Field`
    Determine if the field has been set to a null-state or value.
    Overrides:
      `isNull` in class `BinaryField`
    Returns:
      true if field has been set to a null state or value, else false